# Resting-state EEG analysis

This repository contains the code used to analyze the data that supports the findings from the following publication:

Qianliang Li, Maya Coulson Theodorsen, Ivana Konvalinka, Kasper Eskelund, Karen-Inge Karstoft, Søren Bo Andersen and Tobias S Andersen. Resting-state EEG functional connectivity predicts post-traumatic stress disorder subtypes in veterans. Journal of Neural Engineering, 2022 (https://doi.org/10.1088/1741-2552/ac9aaf).

The code consist of 4 python script files, which covers different steps fo the analysis framework:
1. Preamble
2. Preprocessing
3. Feature Estimation
4. Machine Learning

A requirement.txt file with the library versions employed for the analysis in the study.

And the parcellation file used for source localization.

The data is not publicly available due to privacy issues of clinical data, so the preprocessing script was modified for demonstration on a publically available EEG dataset, however the feature estimation and machine learning scripts were kept original. Hence the scripts might not run perfectly with the demonstration EEG files, and are provided as is for reference.
